--- createrepo/__init__.py.old	2012-12-13 13:13:54.000000000 +0000
+++ createrepo/__init__.py	2012-12-13 13:15:56.000000000 +0000
@@ -79,7 +79,7 @@
         self.max_delta_rpm_size = 100000000
         self.update_md_path = None
         self.skip_stat = False
-        self.database = True
+        self.database = False
         self.outputdir = None
         self.file_patterns = ['.*bin\/.*', '^\/etc\/.*', '^\/usr\/lib\/sendmail$']
         self.dir_patterns = ['.*bin\/.*', '^\/etc\/.*']
@@ -97,7 +97,7 @@
         self.directory = None
         self.directories = []
         self.changelog_limit = None # needs to be an int or None
-        self.unique_md_filenames = True
+        self.unique_md_filenames = False
         self.additional_metadata = {} # dict of 'type':'filename'
         self.revision = str(int(time.time()))
         self.content_tags = [] # flat list of strings (like web 2.0 tags)
--- modifyrepo.py.old	2012-12-14 16:40:43.000000000 +0000
+++ modifyrepo.py	2012-12-14 16:44:11.000000000 +0000
@@ -88,7 +88,8 @@
         print "Wrote:", destmd
 
         open_csum = checksum(self.checksum_type, metadata)
-        csum, destmd = checksum_and_rename(destmd, self.checksum_type)
+       #csum, destmd = checksum_and_rename(destmd, self.checksum_type)
+        csum = checksum(self.checksum_type, destmd)
         base_destmd = os.path.basename(destmd)
 
 
--- genpkgmetadata.py.old	2013-03-11 09:09:18.000000000 +0000
+++ genpkgmetadata.py	2013-03-11 09:11:54.000000000 +0000
@@ -64,10 +64,10 @@
     parser.add_option("-C", "--checkts", default=False, action="store_true",
         help="check timestamps on files vs the metadata to see " \
            "if we need to update")
-    parser.add_option("-d", "--database", default=True, action="store_true",
-        help="create sqlite database files: now default, see --no-database to disable")
-    parser.add_option("--no-database", default=False, dest="nodatabase", action="store_true",
-        help="do not create sqlite dbs of metadata")
+    parser.add_option("-d", "--database", default=False, action="store_true",
+        help="create sqlite database files.")
+    parser.add_option("--no-database", default=True, dest="nodatabase", action="store_true",
+        help="do not create sqlite dbs of metadata. Default behavior.")
     # temporarily disabled
     #parser.add_option("--database-only", default=False, action="store_true",
     #  dest='database_only',
@@ -96,10 +96,10 @@
         default=None, help="only import the last N changelog entries")
     parser.add_option("--unique-md-filenames", dest="unique_md_filenames",
         help="include the file's checksum in the filename, helps with proxies",
-        default=True, action="store_true")
+        default=False, action="store_true")
     parser.add_option("--simple-md-filenames", dest="simple_md_filenames",
         help="do not include the file's checksum in the filename, helps with proxies",
-        default=False, action="store_true")
+        default=True, action="store_true")
     parser.add_option("--distro", default=[], action="append",
         help="distro tag and optional cpeid: --distro" "'cpeid,textname'")
     parser.add_option("--content", default=[], dest='content_tags',
@@ -153,8 +153,8 @@
     if opts.simple_md_filenames:
         opts.unique_md_filenames = False
     
-    if opts.nodatabase:
-        opts.database = False
+    if opts.database:
+        opts.nodatabase = False
         
     # let's switch over to using the conf object - put all the opts into it
     for opt in parser.option_list:
--- mergerepo.py.old	2013-03-11 09:09:48.000000000 +0000
+++ mergerepo.py	2013-03-11 09:13:26.000000000 +0000
@@ -39,8 +39,8 @@
                       help="repo url")
     parser.add_option("-a", "--archlist", default=[], action="append",
                       help="Defaults to all arches - otherwise specify arches")
-    parser.add_option("-d", "--database", default=True, action="store_true")
-    parser.add_option( "--no-database", default=False, action="store_true", dest="nodatabase")
+    parser.add_option("-d", "--database", default=False, action="store_true")
+    parser.add_option( "--no-database", default=True, action="store_true", dest="nodatabase")
     parser.add_option("-o", "--outputdir", default=None,
                       help="Location to create the repository")
     parser.add_option("", "--nogroups", default=False, action="store_true",
@@ -71,8 +71,8 @@
         rmbase.archlist = opts.archlist
     if opts.outputdir:
         rmbase.outputdir = opts.outputdir
-    if opts.nodatabase:
-        rmbase.mdconf.database = False
+    if opts.database:
+        rmbase.mdconf.database = True
     if opts.nogroups:
         rmbase.groups = False
     if opts.noupdateinfo:
